diff test.sh @ 150:bf8e3e7dd7de

Move some things around, and add overall test script
author Chris Cannam <cannam@all-day-breakfast.com>
date Fri, 20 Jan 2017 17:45:54 +0000
parents
children 3eb00e5c76c4
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test.sh	Fri Jan 20 17:45:54 2017 +0000
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -eu
+
+mypath=$(dirname "$0")
+
+echo "Building and testing simple server..."
+
+make -f "$mypath"/Makefile clean all test
+
+echo
+echo "Building and running test client..."
+
+( cd "$mypath"/vamp-client/qt && qmake && make &&
+      ./test ../../bin/piper-vamp-simple-server )
+
+echo
+echo "Done"
+echo